from abc import ABCMeta, abstractmethod

class AbstractCommand(metaclass=ABCMeta):
    def __init__(self, args = None):
        self.args = args

    @abstractmethod
    def execute(self):
        pass